Bug 320 - [XKB] Keymapping for MS natural USB keyboard
Summary: [XKB] Keymapping for MS natural USB keyboard
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: doc (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL: http://bugs.xfree86.org/show_bug.cgi?...
Whiteboard:
Keywords: movetoxkc
Depends on: 968
Blocks: 269
  Show dependency treegraph
 
Reported: 2004-03-16 05:08 UTC by Egbert Eich
Modified: 2006-04-04 14:20 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egbert Eich 2004-03-16 05:08:40 UTC
Keymapping for MS natural USB keyboard
http://bugs.xfree86.org/show_bug.cgi?id=1155
Comment 1 Sergey V. Udaltsov 2004-09-10 19:05:15 UTC
fixed in xkeyboard-config
Comment 2 Ilya Konstantinov 2004-09-29 08:30:51 UTC
The correct solution for this would be to add support for Linux /dev/input/event
keyboard events. This device file reports reliable key names for all keyboards,
no matter how they are connected.

Are there any plans to allow specifying Linux Input key names (see
<linux/input.h>) instead of the regular <AE01>, <AE02> etc. names, when on the
Linux platform?
Comment 3 Ilya Konstantinov 2004-09-29 08:46:18 UTC
Apparently there is an evdev patch for xorg already, so I'd say this bug should
depend on 968.
Comment 4 Erik Andren 2006-03-12 23:12:19 UTC
Is this merged into mainline xorg as of current?
Comment 5 Sergey V. Udaltsov 2006-04-05 07:20:32 UTC
Assigning to xkeyboard-config and closing (since it is in our CVS for 1.5 years
already)


bug/show.html.tmpl processed on Jun 01, 2016 at 05:28:23.
(provided by the Example extension).